Skip to content

My Assignment Batches

Operations Summary

Method Endpoint Description
GET /api/my-assignment-batches/ List all pending assignment batches for the authenticated reviewer
GET /api/my-assignment-batches/{uuid}/ Get details of a specific assignment batch with items

List all pending assignment batches for the authenticated reviewer

List all pending assignment batches for the authenticated reviewer.

1
2
3
4
http \
  GET \
  https://api.example.com/api/my-assignment-batches/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.my_assignment_batches import my_assignment_batches_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = my_assignment_batches_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: my_assignment_batches_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { myAssignmentBatchesList } from 'waldur-js-client';

try {
  const response = await myAssignmentBatchesList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
uuid string (uuid)
call_uuid string (uuid)
call_name string
status string
status_display string
sent_at string (date-time)
expires_at string (date-time)
is_expired boolean
items_count integer
items_pending_count integer
manager_notes string

Get details of a specific assignment batch with items

Get details of a specific assignment batch with items.

1
2
3
4
http \
  GET \
  https://api.example.com/api/my-assignment-batches/string-value/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.my_assignment_batches import my_assignment_batches_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = my_assignment_batches_retrieve.sync(
    uuid="string-value",
    client=client
)

print(response)
  1. API Source: my_assignment_batches_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { myAssignmentBatchesRetrieve } from 'waldur-js-client';

try {
  const response = await myAssignmentBatchesRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "string-value"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required Description
uuid string UUID of the assignment batch

200 -

Field Type
uuid string (uuid)
call_uuid string (uuid)
call_name string
status string
status_display string
sent_at string (date-time)
expires_at string (date-time)
is_expired boolean
items_count integer
items_pending_count integer
manager_notes string
items array of objects
items.uuid string (uuid)
items.proposal_uuid string (uuid)
items.proposal_name string
items.proposal_slug string
items.proposal_summary string
items.status string
items.status_display string
items.affinity_score number (double)
items.has_coi boolean